Worth updating? To 10.3

Discussion in '3DS - Homebrew Development and Emulators' started by C02, Nov 14, 2015.

  1. C02
    OP

    C02 GBAtemp Regular

    Member
    234
    13
    Sep 15, 2015
    United States
    Title. Cuz there's nothing for hombrew and plus cupic ninja works on 10.3
     
  2. thealgorithm

    thealgorithm GBAtemp Regular

    Member
    187
    53
    Oct 27, 2015
    Try not to update. With every update, there is less chance of a specific exploit (unreleased or released later) to possibly work + more chance of timebombs on Nintendo's end
     
  3. C02
    OP

    C02 GBAtemp Regular

    Member
    234
    13
    Sep 15, 2015
    United States
    I want badge center and does theme hax or browser hax work on 10.3
     
  4. DjoeN

    DjoeN Captain Haddock!

    Member
    5,207
    1,503
    Oct 21, 2005
    Belgium
    Somewhere in this potatoland!
    I updated 3 of my consoles today to 10.3 :)

    Was it worth it? totally :) why? cause all 3 where on 10.1 and all 3 have only bought games on it that can be played online, and still have access to homebrew through old IronFall with IronHax installed (Updated first the payloads to 10.3 before updating to 10.3)
    Is it worth for the badge arcade stuff, Nah, you want miss much, but if you do upgrade, do get it, not for the gameplay, but more for the home screen customize stuff

    Ow and yes, you can access eShop again and play online ;)

    [EDIT]
    ThemuHax/MenuHax and BrowserHax do not work anymore!
    The only exploits working on 10.3:
    - Cubic Ninja
    - Old IronFall
    - Zelda OoT (You do need another entrypoint to get it installed or use another homebrew enabled console to write the hax to your OoT game)

    So it all depends on yourself if you want to update or not.

    Do you want homebrew always and maybe a change in the future to have an exploit that enables custom firmware, stay on 10.1 or lower, But if you want online access and you really don't care about homebrew or say like, it's nice to get hombrew but it isn't really needed for me, you can aswell update your console ;)
     
    Last edited by DjoeN, Nov 14, 2015
  5. Marko76

    Marko76 GBAtemp Psycho!

    Member
    3,724
    2,101
    Aug 19, 2015
    United Kingdom
    Clydebank
    Themehax and browserhax don't work on 10.3 sorry
     
  6. C02
    OP

    C02 GBAtemp Regular

    Member
    234
    13
    Sep 15, 2015
    United States
    Noon question I do I update to 10.3 payloads
     
  7. DjoeN

    DjoeN Captain Haddock!

    Member
    5,207
    1,503
    Oct 21, 2005
    Belgium
    Somewhere in this potatoland!
    Do you have the old version of IronFall on your system? and have you installed IronHax on it? If yes, read on:

    How to update your Payloads to 10.3 on your O3DS/N3DS on sysnand 10.1/10.2 and have Hombrew Launcher access already, before upgrading your O3DS/N3DS to sysnand 10.3

    Old IronFall Invasion:
    - Download latest starter.zip from "The Hombrew Launcher" website
    - Put Files on your SD and Remove your old Ironfall "Installer" folder
    - Boot your console to the Homebrew Launcher
    - Start the new IronFall Hax installer
    - Set your saveslot,
    - Set your version of ironfall (it nows your version)
    - Set the payload it needs to download (System (O3DS or N3DS) Version you should set: 10.3.0-28 and region (USA/EUR/Or whatever system you have)
    - Install
    - Best reapeat it for the other save slots
    - Reboot console and update to 10.3

    If you have Cubic Ninja:
    Go to the NinjHax site and follow the instructions on that page
    Set the QR code to NEW or OLD / 10.3.0-28 E or U, then press Update QR code and scan it in your Cubic Ninja gamecart (works with flashed Cubic Ninja on Sky3DS to)
    Once the payload is installed to Cubic Ninja, reboot and update system (Reboot isn't really needed :P )

    If you have Zelda OoT:
    - Download latest starter.zip from "The Hombrew Launcher" website
    - Put Files on your SD (Remove any previous OoT installer)
    - Boot your console to the Homebrew Launcher
    - Start the new Zelda OoT installer
    - Set your saveslot,
    - Set your version of Zelda
    - Set the payload it needs to download (System (O3DS or N3DS) Version you should set: 10.3.0-28 and region (USA/EUR/Or whatever system you have)
    - Install
    - Reboot console and update to 10.3

    [EDIT]
    - You can also us a Datel Powersave / R4i SaveDongle / NDS Homebrew (Only on DSLite / Phat, Not DSi) to write a modifyed save with the 10.3 payloads in it to Zelda OoT reatil gamecart.
     
    Last edited by DjoeN, Nov 14, 2015
    VegaRoXas and farias0 like this.
  8. Marko76

    Marko76 GBAtemp Psycho!

    Member
    3,724
    2,101
    Aug 19, 2015
    United Kingdom
    Clydebank
    yes you need to update the payload before you update the 3ds to 10.3
     
  9. C02
    OP

    C02 GBAtemp Regular

    Member
    234
    13
    Sep 15, 2015
    United States
    Oops how do I update 10.3
     
  10. DjoeN

    DjoeN Captain Haddock!

    Member
    5,207
    1,503
    Oct 21, 2005
    Belgium
    Somewhere in this potatoland!
  11. C02
    OP

    C02 GBAtemp Regular

    Member
    234
    13
    Sep 15, 2015
    United States
  12. Favna

    Favna #PCMasterRace

    Member
    810
    394
    Sep 12, 2009
    Netherlands
    Or have a powersaves if it's a physical cartridge
     
  13. Ammako

    Ammako GBAtemp Guru

    Member
    6,424
    3,547
    Dec 22, 2009
    Canada
    Powersaves, or an R4i save dongle, or a DS flashcard (there's a ds homebrew that should allow you to write the save to OoT3D cartridge.)
     
  14. TuxSH

    TuxSH GBAtemp Advanced Fan

    Member
    612
    994
    Oct 19, 2015
    France
    oO. Can you develop more about this please ?
     
  15. Connorxcon

    Connorxcon Member

    Newcomer
    41
    5
    Sep 22, 2015
    United States
    Did I lose iron hax I couldn't update the payload at the time then updated to 10.3 then every time I try to load iron hax error?????
     
  16. Ammako

    Ammako GBAtemp Guru

    Member
    6,424
    3,547
    Dec 22, 2009
    Canada
    DS Lite is required due to the DSi and 3DS preventing you from swapping Slot-1 cartridges after you've already booted one.
     
  17. DjoeN

    DjoeN Captain Haddock!

    Member
    5,207
    1,503
    Oct 21, 2005
    Belgium
    Somewhere in this potatoland!
    You didn't lose IronFall hax possibility if you didn't update IronFall to the newest update.

    You have to find another way to boot into Homebrew Launcher (Cubic Ninja retail gamecart or on Sky3DS flashed / Already prepped OoT for 10.3 gamecart or on Sky3DS flashed)
    Then when using latest starter.zip from smealums HBL site, you can update the IronFall payloads to 10.3
     
  18. Connorxcon

    Connorxcon Member

    Newcomer
    41
    5
    Sep 22, 2015
    United States
    Any other way that's not so pricey I don't even have a job or an allowance :(
     
  19. DjoeN

    DjoeN Captain Haddock!

    Member
    5,207
    1,503
    Oct 21, 2005
    Belgium
    Somewhere in this potatoland!
    Find a friend with Cubic Ninja / Zelda OoT or Sky3DS.
     
  20. Connorxcon

    Connorxcon Member

    Newcomer
    41
    5
    Sep 22, 2015
    United States
    Doesn't oot require an entry point?